gr::dab::crc16_bb_impl Class Reference

crc16 is written in the last 2 bits of input vector More...

`#include <crc16_bb_impl.h>`

Inheritance diagram for gr::dab::crc16_bb_impl:
[legend]

## Public Member Functions

| crc16_bb_impl (int length, uint16_t generator, uint16_t initial_state)
| ~crc16_bb_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::crc16_bb
typedef std::shared_ptr< crc16_bb > | sptr
Static Public Member Functions inherited from gr::dab::crc16_bb
static sptr | make (int length, uint16_t generator, uint16_t initial_state)
| Return a shared_ptr to a new instance of dab::crc16_bb.

## Detailed Description

crc16 is written in the last 2 bits of input vector

input: char vector of length length (packed bytes)

output: char vector of length length (packed bytes) with crc at last 2 bytes (overwrites last 2 bytes)

uses the crc16 function to calculate a 2 byte crc word and write it to the FIB (overwrites last 2 bytes)

Parameters

  length | Length of input and output vector in bytes. (default is 32 for DAB FIBs)
  generator | Generator polynom for shift register. (default is 0x1021 for DAB)
  initial_state | Initial state of shift register. (default is 0xffff for DAB)

## Constructor & Destructor Documentation

## crc16_bb_impl()

gr::dab::crc16_bb_impl::crc16_bb_impl | ( | int | length,
|  | uint16_t | generator,
|  | uint16_t | initial_state )

## ~crc16_bb_impl()

gr::dab::crc16_bb_impl::~crc16_bb_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::crc16_bb_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::crc16_bb_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- crc16_bb_impl.h